WriteObjectFlags (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a.impl.write, enum: WriteObjectFlags

Package org.apache.hadoop.fs.s3a.impl.write

# Enum Class WriteObjectFlags

java.lang.Object
java.lang.Enum<WriteObjectFlags>
org.apache.hadoop.fs.s3a.impl.write.WriteObjectFlags

All Implemented Interfaces:
  `Serializable`, `Comparable<WriteObjectFlags>`, `Constable`

public enum WriteObjectFlags extends Enum<WriteObjectFlags>
Flags to use when creating/writing objects. The configuration key is used in two places:

1. Parsing builder options
2. hasCapability() probes of the output stream.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ConditionalOverwrite`
  `ConditionalOverwriteEtag`
  `CreateMultipart`
  `Performance`
  `Recursive`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasKey(String k)`
  Does the key of this option match the parameter?
  `boolean`
  `isEnabled(Configuration options)`
  does the configuration contain this option as a boolean?
  `static WriteObjectFlags`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WriteObjectFlags[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ConditionalOverwrite

    public static final WriteObjectFlags ConditionalOverwrite

  - ### ConditionalOverwriteEtag

    public static final WriteObjectFlags ConditionalOverwriteEtag

  - ### CreateMultipart

    public static final WriteObjectFlags CreateMultipart

  - ### Performance

    public static final WriteObjectFlags Performance

  - ### Recursive

    public static final WriteObjectFlags Recursive

- ## Method Details

  - ### values

    public static WriteObjectFlags[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WriteObjectFlags valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isEnabled

    public boolean isEnabled(Configuration options)
    does the configuration contain this option as a boolean?
    Parameters:
      `options` - options to scan
    Returns:
      true if this is defined as a boolean

  - ### hasKey

    public boolean hasKey(String k)
    Does the key of this option match the parameter?
    Parameters:
      `k` - key
    Returns:
      true if there is a match.